# set\_numbered\_type

```
Store a type in the til.
'name' may be nullptr for anonymous types.
To replace the existing type use #NTF_REPLACE
     ordinal -  slot number (1...NumberOfLocalTypes), for 0 the new ordinal will be allocated
     name    -  type name
     type    -  serialized type string
     fields  -  serialized type fields
     cmt     -  main type comment
     fldcmts -  serialized type field comments
     sclass  -  type storage class

tinfo_code_t set_numbered_type(
        long ordinal,
        long ntf_flags,
        string name,
        string type,
        string fields="",
        string cmt="",
        string fldcmts="",
        long sclass=0);
#define NTF_REPLACE    0x0004   // replace original type
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/9.0/developer-guide/idc/idc-api-reference/alphabetical-list-of-idc-functions/1757.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
